OCF_HEARTBEAT_ICP(7)

NAME
ocf_heartbeat_ICP - Manages an ICP Vortex clustered host drive

SYNOPSIS

ICP [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Resource script for ICP. It Manages an ICP Vortex clustered host drive as an HA resource.

SUPPORTED PARAMETERS

driveid
    The ICP cluster drive ID.

    (required, string, no default)

device
    The device name.

    (required, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

status
    Performs a status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a ICP resource using the crm(8) shell:

    primitive p_ICP ocf:heartbeat:ICP \
      params \
        driveid=string \
        device=string \
      op monitor depth="0" timeout="20s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a ICP resource using pcs(8)

    pcs resource create p_ICP ocf:heartbeat:ICP \
      driveid=string \
      device=string \
      op monitor depth="0" timeout="20s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)